Bug 470132 - GF 7600 GS is not detected correctly (nouveau works)
GF 7600 GS is not detected correctly (nouveau works)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 16:29 EST by Florian Sievert
Modified: 2009-05-08 14:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 14:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file of the x-server starting the system without an xorg.conf (38.11 KB, application/octet-stream)
2008-11-06 12:11 EST, Florian Sievert
no flags Details
xorg log from working nouveau driver (152.51 KB, application/octet-stream)
2008-11-06 12:36 EST, Florian Sievert
no flags Details
xorg conf used by nouveau driver (769 bytes, application/octet-stream)
2008-11-06 12:37 EST, Florian Sievert
no flags Details

  None (edit)
Description Florian Sievert 2008-11-05 16:29:21 EST
Description of problem:
Booting the graphical installer leads into a black screen when anaconda starts. It is not possible to proceed with installation. Switching to a console leads to misformed characters or invisible (black?) text. After installation in text mode the x-servers does again just show a black screen. Also a "system-config-display --reconfig". The system is operating fine with the properitary nvidia drivers.

The graphic card in my system is a:
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GS] (rev a1)
I am using two screens, but the problem also seems to exist when one is connected. I read in a forum about a guy, who is having the same problem with the same chip. Another user in the german forum reports beeing able to reproduce the problem with an Geforce 7050. So the issue might be related to 7series of GeForce cards.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nv.i386                                                                 2.1.12-6.fc10

How reproducible:
Always

Steps to Reproduce:
1. Starting the x-server somehow using the default driver of fedora 10 preview (or rawhide).
  
Actual results:
Either a black screen or random colors on the screen(s).


Expected results:
The x-server starts normally.

Additional info:
I report this problem, knowing that the facts are pretty vage. However, I hardly believe that this problem is very easy to reproduce and I want to point on it ASAP in order to avoid that it will be shipped with the final version. It is hard for me to debug, cause starting the x-server leads to an completly useable system, so it is not even possible to switch to tty in order to get the log. I currently don't have the orginal conf for reproduce a x log.

I am willed to give further information or an x log as soon as possible for me. I open for any idea, helping to debug this problem or an link to the default xorg.conf file used by fedora. Is it possible to get the output of system-config-display?
Comment 1 Matěj Cepl 2008-11-06 11:36:53 EST
Bug 238977 and bug 242026 are probably duplicates -- interesting thing though is that the latter was closed when reporter it worked after reflashing of broken BIOS. I don't know how to do upgrade BIOS for your card though, so let's try to stay with the normal order.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) from the unsuccesful attempt to use the card to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Also the same information from the computer, while using nvidia driver might be interesting.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-11-06 11:39:25 EST
... also it might be interesting if you could try nouveau driver. Does it by chance work for you? Also, before trying any open source driver (nv or nouveau) please make sure there are no remains from nvidia binary-only driver (unless you use packaged version, you have probably corrupted some xorg-x11* packages; http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers).
Comment 3 Florian Sievert 2008-11-06 12:10:53 EST
Hi,
it is exactly the problem that I used packed "nvidia" drivers and got lost with the original configuration. I am currently also not able to reinstall the system completly. However, I was able to reproduce it, removing the properitary packages and deleting the /etc/X11/xorg.conf. Starting the X-server leads to the same broken screens I encouter booting the graphical installer.

I am attaching the log files and might be able to test "nouveau" later this evening.
Comment 4 Florian Sievert 2008-11-06 12:11:40 EST
Created attachment 322759 [details]
Log file of the x-server starting the system without an xorg.conf
Comment 5 Florian Sievert 2008-11-06 12:36:16 EST
Nouveau is working fine here. Even if it fails, it does not break up the text mode. Don't know if this might be interesting, but I ll attach the log and conf from my nouveau test.
Comment 6 Florian Sievert 2008-11-06 12:36:50 EST
Created attachment 322763 [details]
xorg log from working nouveau driver
Comment 7 Florian Sievert 2008-11-06 12:37:14 EST
Created attachment 322764 [details]
xorg conf used by nouveau driver
Comment 8 Adam Jackson 2009-05-08 14:03:31 EDT
We're using nouveau by default now, so, closing as per comment #5.

Note You need to log in before you can comment on or make changes to this bug.